# enaml.widgets.dialog

Classes

`Dialog` | A top-level Window class for creating dialogs.

class enaml.widgets.dialog.Dialog(parent=None, **kwargs)

  Bases: `Window`

  A top-level Window class for creating dialogs.

  result

    The result of the dialog. This value is updated before any of the related dialog events are fired.

  finished

    An event fired when the dialog is finished. The payload will be the boolean result of the dialog. This event is fired before the ‘accepted’ or rejected event.

  accepted

    An event fired when the dialog is accepted.

  rejected

    An event fired when the dialog is rejected.

  modality

    Dialogs are application modal by default.

  proxy

    A reference to the ProxyDialog object.

  exec_()

    Launch the dialog as a modal window.

    This call will block until the dialog is closed.

    Returns:

      result – The result value of the dialog.

    Return type:

      bool

  open()

    Launch the dialog as a modal window.

    Note that this is nonblocking and you will recieve the result via the finished and accepted or rejected events.

  done(result)

    Close the dialog and set the result value.

    This will cause a call to exec_ to return.

    Parameters:

      result (bool) – The result value for the dialog.

  accept()

    Close the dialog and set the result to True.

  reject()

    Close the dialog and set the result to False.

  activated

    An event fired when an object’s proxy is activated. It is triggered once during the object lifetime, at the end of the activate_proxy method.